      subroutine dawrit(xx,yy,yr,nin,nunit)
c****** routine to write out a 3 column data file
c       if nunit is 6 then output is to terminal
c       otherwise output is to a named file
c      
c      	xx	in	first column value
c	yy	in	second column value
c	yr	in	third column value
c	nin	in	number of lines <=100
c	nunit   in      output unit
c	R. Ghosh, ILL, October 2004
      real xx(nin),yy(nin),yr(nin)
      common/oufile/fname
      character*120 fname
c***** the filename to be read has a maximum length of 120 characters 
      if(nin.gt.100) stop ' dawrit- cannot write more than 100 data'
c***** all files treated by these routines should have less than 101 lines
      if(nunit.ne.6) then
        write(6,1)
1       format(' Give output filename : ',$)
        read(5,2) fname
2       format(a)
      end if
c***** open a new file
      if(nunit.ne.6) open(unit=nunit,file=fname,status='new')
c***** could use 'unknown' rather than 'new' if allow overwriting
      do i=1,nin
        write(nunit,*) xx(i),yy(i),yr(i)
        j=i
      end do
      if(nunit.ne.6) close(unit=nunit)
c***** finished writing file output - close file
      write(6,3) j
3     format(i3,' lines have been written')
      return
      end


