      program sasfitn
c**** Fits up to 4 peaks to SANS data
c  f77 -o sasfitn sasfitn.f calskp.f calskpx.f  gsread.f libfitfun.a \
c  librlib.a libpgplot.a -lX11
c note version of calskp has background at centre of first peak
c (parameter 8), and Gaussian then Lorentzian....
      EXTERNAL myread,CALskp
C     calskp  calculates sum of up to four peaks
      COMMON/WORK/W(160000)
      COMMON/TITLES/NAMES(40),TX,TY
      COMMON/TITLEP/NPARAS
      COMMON/VERSION/VERP
      COMMON/TTYIO/INTY,INTTY,IERT
      COMMON/FCLOSE/ICLOSE,ISTART
      COMMON/PROGCH/PNAMC
      CHARACTER*8 NAMES
      CHARACTER*4 PNAM,PNAMC
      CHARACTER*20 TX,TY
      common /stopcy/ixv
      DATA NAMES/ 'FLAT BGD','slope BG','(spare)','FACTOR F',
     1'P1 type ','P1 area ','P1 width','P1 posn ','P1 modif',
     1'P2 type ','P2 area ','P2 width','P2 posn ','P2 modif',
     1'P3 type ','P3 area ','P3 width','P3 posn ','P3 modif',
     1'P4 type ','P4 area ','P4 width','P4 posn ','P4 modif',
     116*'        '/
      ixv=0
      DATA TX /'Angle'/
      DATA TY /'Intensity'/
      INTY=5
      INTTY=6
      NPARAS=24
      VERP=3.2
      WRITE(6,1) 
1     FORMAT(/' Fits up to 4 peaks in datafile '/
     1//
     1' Peak type :'/
     1'           1 Single Gaussian'/
     1'           2 Single Lorenztian'/
     1'           3 Voigt - Lorenztian width shown'/
     1'           4 Skewed Gaussian'/
     1' Modifier parameter for Voigt is Gaussian width '/
     1' Modifier parameter for Skewed Gaussian is LHS-width/RHS'/
     1' Width values are half width at half height'/
     1' Background is value at centre of first peak'/)
      PNAM='fit4'
      PNAMC=PNAM
      CALL FITFUN(PNAM,myread,CALskp)
C***** CLOSE ANY Spreadsheet FILE...
      CALL PGNEND(1)
      CALL PGNEND(2)
C***** CLOSE OPEN GRAPHICS
      end

 
 
      SUBROUTINE FTXHLP(IOTTY)
      WRITE(IOTTY,1)
1     FORMAT(/' fit4',
     1' fitting peaks to diffraction data'//
     1' PEAK TYPE 1 Single Gaussian'/
     1'           2 Single Lorentzian'/
     1'           3 Voigt - Lorentzian width shown'/
     1'           4 Skewed Gaussian'/
     1' Modifier parameter for Voigt is Gaussian width '/
     1' Modifier parameter for Skewed Gaussian is LHS-width/RHS'/
     1' Width values are half width at half height'/
     1/' Command J for component  plots'/)
      RETURN
      END
