       subroutine myread(in,xx,yy,yr,ntext)
c****** routine to read from a simple GSAS data file
c      	xx	out	first column value
c	yy	out	second column value
c	yr	out	third column value
c	in	out	number of lines read
c	inmax	in	maximum lines expected
c	R. Ghosh, Ill, October 2004
      parameter (inmax=1600)
      real xx(inmax),yy(inmax),yr(inmax)
      common/infile/fname
      character*100 fname
c***** the filename to be read has a maximum length of 100 characters 
      character ntext*(*)
      write(6,1)
1     format(' Give input filename : ',$)
      read(5,2) fname
2     format(a)
      open(unit=2,file=fname)
c***** read title
      read(2,5) ntext
5     format(a)
      read(2,6)
      read(2,6)
c***** skip 2 lines
6     format(1x)      
      do i=1,inmax,5
        read(2,*,end=20) (yy(n),yr(n),n=i,i+4)
        j=i
      end do
20    continue
      close(unit=2)
      do i=1,j
        xx(i)=i*0.1-2.
      end do
c***** not required further - close input
      write(6,3) j
3     format(i3,' lines have been read in')
      in=j
      return
      end




 

